View Issue Details

IDProjectCategoryView StatusLast Update
0001668Kali Linux[All Projects] General Bugpublic2015-05-30 15:31
ReporterLeeRock Assigned Tomuts  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.8 
Target VersionFixed in Version1.0.9 
Summary0001668: Metasploit update breaks app.
Descriptionroot@kali:~# msfconsole
/usr/share/metasploit-framework/config/boot.rb:4: warning: already initialized constant GEMFILE_EXTENSIONS
[-] WARNING! The following modules could not be loaded!
[-] /opt/metasploit/apps/pro/metamodules/firewall_egress/modules/auxiliary/metamodule/firewall_egress.rb: LoadError cannot load such file - firewall_egress/result_range

Unable to handle kernel NULL pointer dereference at virtual address 0xd34db33f
EFLAGS: 00010046
eax: 00000001 ebx: f77c8c00 ecx: 00000000 edx: f77f0001
esi: 803bf014 edi: 8023c755 ebp: 80237f84 esp: 80237f60
ds: 0018 es: 0018 ss: 0018
Process Swapper (Pid: 0, process nr: 0, stackpage=80377000)


Stack: 90909090990909090990909090
   90909090990909090990909090
   90909090.90909090.90909090
   90909090.90909090.90909090
   90909090.90909090.09090900
   90909090.90909090.09090900
   ..........................
   cccccccccccccccccccccccccc
   cccccccccccccccccccccccccc
   ccccccccc.................
   cccccccccccccccccccccccccc
   cccccccccccccccccccccccccc
   .................ccccccccc
   cccccccccccccccccccccccccc
   cccccccccccccccccccccccccc
   ..........................
   ffffffffffffffffffffffffff
   ffffffff..................
   ffffffffffffffffffffffffff
   ffffffff..................
   ffffffff..................
   ffffffff..................


Code: 00 00 00 00 M3 T4 SP L0 1T FR 4M 3W OR K! V3 R5 I0 N4 00 00 00 00
Aiee, Killing Interrupt handler
Kernel panic: Attempted to kill the idle task!
In swapper task - not syncing


Tired of typing 'set RHOSTS'? Click & pwn with Metasploit Pro
Learn more on http://rapid7.com/metasploit

   =[ metasploit v4.10.0-2014081301 [core:4.10.0.pre.2014081301 api:1.0.0]]
+ - -=[ 0 exploits - 0 auxiliary - 0 post ]
+ - -=[ 0 payloads - 0 encoders - 0 nops ]
+ - -=[ Free Metasploit Pro trial: http://r-7.co/trymsp ]
Steps To Reproducemsfconsole
Additional Information64-bit

Activities

muts

2014-08-14 01:24

reporter   ~0002457

Thanks. The R7 team are aware of this and are working on fix.

brandont

2014-08-14 01:58

reporter   ~0002458

Until we have a fix, a workaround is to run "msfpro" instead of "msfconsole". If you don't have msfpro, install the metasploit package.

muts

2014-08-14 18:43

reporter   ~0002461

An updated Kali package has been pushed to the repos. The package now works, although it loads with a cosmetic warning message:

/usr/share/metasploit-framework/config/boot.rb:4: warning: already initialized constant GEMFILE_EXTENSIONS
You did not specify how you would like Rails to report deprecation notices for your production environment, please set config.active_support.deprecation to :notify at config/environments/production.rb
[-] WARNING! The following modules could not be loaded!
[-] /opt/metasploit/apps/pro/metamodules/firewall_egress/modules/auxiliary/metamodule/firewall_egress.rb: NameError uninitialized constant Msf::Pro::Task

This will be addressed in the next MSF release.

LeeRock

2014-08-14 19:22

reporter   ~0002462

After update, app crashes.

root@kali:~# msfconsole
/usr/share/metasploit-framework/config/boot.rb:4: warning: already initialized constant GEMFILE_EXTENSIONS
You did not specify how you would like Rails to report deprecation notices for your production environment, please set config.active_support.deprecation to :notify at config/environments/production.rb
/opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/postgresql_adapter.rb:1222:in `initialize': could not connect to server: Connection refused (PG::ConnectionBad)
    Is the server running on host "localhost" (::1) and accepting
    TCP/IP connections on port 5432?
could not connect to server: Connection refused
    Is the server running on host "localhost" (127.0.0.1) and accepting
    TCP/IP connections on port 5432?
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/postgresql_adapter.rb:1222:in `new'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/postgresql_adapter.rb:1222:in `connect'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/postgresql_adapter.rb:324:in `initialize'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/postgresql_adapter.rb:28:in `new'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/postgresql_adapter.rb:28:in `postgresql_connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:315:in `new_connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:325:in `checkout_new_connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:247:in `block (2 levels) in checkout'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:242:in `loop'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:242:in `block in checkout'
    from /usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:239:in `checkout'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:102:in `block in connection'
    from /usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:101:in `connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_pool.rb:410:in `retrieve_connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_specification.rb:171:in `retrieve_connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_specification.rb:145:in `connection'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/model_schema.rb:310:in `clear_cache!'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activerecord-3.2.17/lib/active_record/railtie.rb:103:in `block (2 levels) in <class:Railtie>'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:418:in `_run__1074960142519877751__prepare__3861920060903562650__callbacks'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:405:in `__run_callback'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:385:in `_run_prepare_callbacks'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/callbacks.rb:81:in `run_callbacks'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/actionpack-3.2.17/lib/action_dispatch/middleware/reloader.rb:74:in `prepare!'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/actionpack-3.2.17/lib/action_dispatch/middleware/reloader.rb:48:in `prepare!'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application/finisher.rb:47:in `block in <module:Finisher>'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:30:in `instance_exec'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:30:in `run'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:55:in `block in run_initializers'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:54:in `each'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:54:in `run_initializers'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:136:in `initialize!'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/railtie/configurable.rb:30:in `method_missing'
    from /usr/share/metasploit-framework/config/environment.rb:5:in `<top (required)>'
    from /usr/share/metasploit-framework/lib/fastlib.rb:374:in `require'
    from /usr/share/metasploit-framework/lib/fastlib.rb:374:in `require'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/polyglot-0.3.3/lib/polyglot.rb:63:in `require'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `block in require'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:236:in `load_dependency'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
    from /opt/metasploit/apps/pro/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:103:in `require_environment!'
    from /usr/share/metasploit-framework/lib/metasploit/framework/command/base.rb:68:in `require_environment!'
    from /usr/share/metasploit-framework/lib/metasploit/framework/command/base.rb:86:in `start'
    from /opt/metasploit/apps/pro/msf3/msfconsole:26:in `<main>'

muts

2014-08-14 19:26

reporter   ~0002463

Looks like you haven't started postgresql.

kerplunk

2014-08-14 20:42

reporter   ~0002464

Works, thx for the quick fix!

Zero_Chaos

2014-08-15 00:57

reporter   ~0002465

upstream bug https://dev.metasploit.com/redmine/issues/8839

faildox

2014-08-15 12:15

reporter   ~0002468

thanks rapid7 quick work.

xtreme33

2014-08-16 20:20

reporter   ~0002469

Last edited: 2014-08-16 22:00

View 2 revisions

The issue I'm still having is after getting into msfconsole the go_pro doesn't work. Here is the error I'm getting:

msf > go_pro
[-] Unable to access log file: /usr/share/engine/prosvc_stdout.log


On an unrelated side note: great to meet muts at the Rapid7 party in Vegas.

LeeRock

2014-08-16 21:38

reporter   ~0002470

I get the same error for go_pro.

brandont

2014-08-16 22:07

reporter   ~0002471

I've opened an issue in the private Metasploit issue tracker for the go_pro command. Thank you for reporting this.

usmarine2141

2014-08-17 03:35

reporter   ~0002472

Get the same error for pro as well.

faildox

2014-08-17 17:43

reporter   ~0002474

Last edited: 2014-08-17 17:48

View 2 revisions

same issue as above +1 more confirm.

muts

2015-05-30 15:31

reporter   ~0003346

Fixed in 1.1.0a

Issue History

Date Modified Username Field Change
2014-08-14 00:33 LeeRock New Issue
2014-08-14 01:24 muts Note Added: 0002457
2014-08-14 01:58 brandont Note Added: 0002458
2014-08-14 18:43 muts Note Added: 0002461
2014-08-14 18:43 muts Status new => closed
2014-08-14 18:43 muts Assigned To => muts
2014-08-14 18:43 muts Resolution open => fixed
2014-08-14 18:43 muts Fixed in Version => 1.0.9
2014-08-14 18:44 muts Description Updated View Revisions
2014-08-14 18:44 muts Status closed => resolved
2014-08-14 19:22 LeeRock Note Added: 0002462
2014-08-14 19:22 LeeRock Status resolved => feedback
2014-08-14 19:22 LeeRock Resolution fixed => reopened
2014-08-14 19:26 muts Note Added: 0002463
2014-08-14 20:42 kerplunk Note Added: 0002464
2014-08-15 00:57 Zero_Chaos Note Added: 0002465
2014-08-15 12:15 faildox Note Added: 0002468
2014-08-16 20:20 xtreme33 Note Added: 0002469
2014-08-16 21:38 LeeRock Note Added: 0002470
2014-08-16 21:38 LeeRock Status feedback => assigned
2014-08-16 22:00 xtreme33 Note Edited: 0002469 View Revisions
2014-08-16 22:07 brandont Note Added: 0002471
2014-08-17 03:35 usmarine2141 Note Added: 0002472
2014-08-17 17:43 faildox Note Added: 0002474
2014-08-17 17:48 faildox Note Edited: 0002474 View Revisions
2015-05-30 15:31 muts Note Added: 0003346
2015-05-30 15:31 muts Status assigned => closed
2015-05-30 15:31 muts Resolution reopened => fixed